
set echo on

CREATE TABLE t (x INT PRIMARY KEY USING INDEX (CREATE UNIQUE INDEX it ON t(x)));

DROP TABLE t;

col original_name format a15
col type format a12
set lines 80

SELECT r.object_name
,      r.original_name
,      r.type
FROM   user_recyclebin r
WHERE  r.base_object = (SELECT rr.base_object
                        FROM   user_recyclebin rr
                        WHERE  rr.original_name = 'T');

FLASHBACK TABLE t TO BEFORE DROP;

SELECT index_name
FROM   user_indexes
WHERE  table_name = 'T';

SELECT constraint_name
FROM   user_constraints
WHERE  table_name = 'T'
AND    constraint_type = 'P';

DROP TABLE t PURGE;
